<?php	
ob_start(); 
ini_set('display_errors', 1);
ini_set('display_startup_errors', 1);
error_reporting(E_ALL);

use Dompdf\Dompdf;
use Dompdf\Options;

require_once __DIR__ . "/vendor/autoload.php";

$options = new Options();
$options->set('isRemoteEnabled', true);
$options->set('isHtml5ParserEnabled', true);
$options->set('chroot', __DIR__); 
$dompdf = new Dompdf($options);
	include_once("includes/conexao.php");
	include_once("config/init.php");

	  if(isset($_POST['submit'])){
		 
		  $local = $_POST['local'];
		  
		  $now = date('Y-m-d');
		  
		  $date = new DateTime($now);
          $date->modify('-180 day');
          $mudanca_atras = $date->format('Y-m-d');

		$sql = $database->query("SELECT * FROM contas WHERE id='$local'");
		  $resultado = $database->fetch_assoc($sql);
		  $nome_conta = $resultado['conta'];
		  
		  
		  
	
	$html = '<table class="table table-bordered">';	
	$html .= '<thead>';
	$html .= '<tr>';
	$html .= '<th>Descrição de movimentos da conta</th>';
	$html .= '<th>Saidas</th>';
	$html .= '<th>Entradas</th>';
	$html .= '<th>Saldo</th>';
	$html .= '<th>Data</th>';
	$html .= '<th>Hora</th>';
	$html .= '<th>Usuario</th>';
	$html .= '</tr>';
	$html .= '</thead>';
	$html .= '<tbody>';
	
	$result_transacoes = "SELECT * FROM transacoes WHERE data BETWEEN '$mudanca_atras' AND '$now' AND caixa='$local'";
	
	$resultado_trasacoes = mysqli_query($con, $result_transacoes);
	while($row_transacoes = mysqli_fetch_assoc($resultado_trasacoes)){
		$html .= '<tr>';
		$html .= '<td>'.$row_transacoes['descricao'] . "</td>";
		$html .= '<td>'.$row_transacoes['saida'] . "</td>";
		$html .= '<td>'.$row_transacoes['entrada'] . "</td>";
		$html .= '<td>'.$row_transacoes['saldo'] . "</td>";
		$html .= '<td>'.$row_transacoes['data'] . "</td>";
		$html .= '<td>'.$row_transacoes['hora'] . "</td>";
		$html .= '<td>'.$row_transacoes['user'] . "</td></tr>";
				
	}
}
		


$stock = mysqli_query($con, "SELECT SUM(saida) as soma  FROM transacoes WHERE data BETWEEN '$mudanca_atras' AND '$now' AND caixa='$local'");
 
  while($total = mysqli_fetch_array($stock)){
	  
	  $stock_total = $total['soma'];
  }
  
 
$stock1 = mysqli_query($con, "SELECT SUM(entrada) as soma  FROM transacoes WHERE data BETWEEN '$mudanca_atras' AND '$now' AND caixa='$local'");
 
  while($total1 = mysqli_fetch_array($stock1)){
	  
	  $stock_total1 = $total1['soma'];
  }
   
  $saldo = $stock_total1 - $stock_total;
  
		
	$html .= '</tbody>';
	$html .= '</table>	
	
	<hr>
  
  <b>Total debito:'.number_format($stock_total,2,",",".").'</b><br>
  <b>Total credito:'.number_format($stock_total1,2,",",".").'</b><br>
  
  <b>Saldo:'.number_format($saldo,2,",",".").'</b><br>
	<br></br><br>';
	

  
  
$logotipo_dados = "SELECT * FROM empresa";
$sim_consegui = mysqli_query($con,$logotipo_dados);
$dados_empresa = mysqli_fetch_assoc($sim_consegui);

$logo_empresa = $dados_empresa['logo'];	
$nome_empresa = $dados_empresa['nome_empresa'];	
$nuit = $dados_empresa['nuit'];	
$contactos = $dados_empresa['contactos'];	
$email_empresa = $dados_empresa['email'];	
$endereco_empresa = $dados_empresa['endereco'];


	
	// Carrega seu HTML
	$dompdf->load_html('
	
	<div class="jonas">
	<div class="logo" align="left">
	<img src="img/'.$logo_empresa.'" width="180px" height="120px"/>
	
	
	<p align="right" style="padding-top:-90px;">
	   <b>'.$nome_empresa.'</b><br>
	   Cell: (+258) '.$contactos.'<br>
	   Endereço: '.$endereco_empresa.'<br>
	   Email: '.$email_empresa.'<br>
	   Maputo-Moçambique<br><br>
	</p>
	</div>
	
	<br></br><br>
	
		<h4 style="text-align: center; ">Relatorio de '.$mudanca_atras.' a '.$now.' da conta '.$nome_conta.'</h4>
		
		
			'. $html .'
			
		
			
			
			
			<p align="center">Relatorio gerado no dia '.$dia.'/'.$mes.'/'.$ano.'</p>
		');

	//Renderizar o html
	$dompdf->render();

	//Exibibir a página
	$dompdf->stream(
		"report.pdf", 
		array(
			"Attachment" => false //Para realizar o download somente alterar para true
		)
	);
	
?>